package edu.springclass;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class SpringMainApp {
	private static final Logger log = LoggerFactory.getLogger(SpringMainApp.class);
	public static final String SPRING_BEANS_LOCATION = "Meta-INF/spring/context.xml";
	
	public static void main(String[] args) {
		// Go here to learn more
		// https://docs.spring.io/spring/docs/4.3.18.RELEASE/spring-framework-reference/htmlsingle/#beans-factory-client

		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(SPRING_BEANS_LOCATION);
		log.trace("Loaded my bean definitions from XML.");
		

		
		context.close();
		log.trace("Closed my Spring context.");
	}
}
